version: '3.8'

services:
  postgres10-n8n:
    image: postgres:10
    container_name: postgres10-n8n
    restart: unless-stopped
    environment:
      TZ: "Europe/Paris"
      POSTGRES_PASSWORD: "tucontraseña"
      POSTGRES_USER: "n8n"
      POSTGRES_DB: "n8n"
    ports:
      - "5433:5432"
    volumes:
      - "/srv/docker/postgresql10-n8n/data:/var/lib/postgresql/data:rw"
    ulimits:
      nproc: 2048

  n8n:
    image: n8nio/n8n
    container_name: n8n
    restart: unless-stopped
    environment:
      TZ: "Europe/Paris"
      GENERIC_TIMEZONE: "Europe/Madrid"
      WEBHOOK_URL: "https://tudns"
      N8N_SECURE_COOKIE: "false"
      WEBHOOK_TUNNEL_URL: "https://tudns"
    ports:
      - "5678:5678"
    volumes:
      - "/srv/docker/n8n:/home/node/.n8n:rw"
    ulimits:
      nproc: 2048

  whisper-asr-webservice:
    image: onerahmet/openai-whisper-asr-webservice
    container_name: whisper-asr-webservice
    restart: unless-stopped
    environment:
      TZ: "Europe/Paris"
      ASR_MODEL: "turbo"
    ports:
      - "9000:9000"
    volumes:
      - "/srv/docker/whisper:/root/.cache/whisper:rw"
    ulimits:
      nproc: 2048

  qdrant:
    image: qdrant/qdrant
    container_name: qdrant
    restart: unless-stopped
    environment:
      TZ: "Europe/Paris"
    ports:
      - "6333:6333"
    volumes:
      - "/srv/docker/qdrant/storage:/qdrant/storage:rw"
    ulimits:
      nproc: 2048

  nginx-proxy:
    image: jc21/nginx-proxy-manager
    container_name: nginx-proxy
    restart: unless-stopped
    environment:
      TZ: "Europe/Paris"
      DB_SQLITE_FILE: "/data/database.sqlite"
    ports:
      - "81:81"
      - "80:80"
      - "443:443"
    volumes:
      - "/srv/docker/nginx-proxy-manager/data:/data:rw"
      - "/srv/docker/nginx-proxy-manager/letsencrypt:/etc/letsencrypt:rw"
    ulimits:
      nproc: 2048
    healthcheck:
      disable: true

networks:
  default:
    driver: bridge

